import { SimpleLocalIntegration } from '../../core/index.js';
import { KulerskyConfigFlow } from './kulersky.classes.configflow.js';
import { createKulerskyDiscoveryDescriptor } from './kulersky.discovery.js';
import type { IKulerskyConfig } from './kulersky.types.js';
import { kulerskyDomain, kulerskyProfile } from './kulersky.types.js';

export class KulerskyIntegration extends SimpleLocalIntegration<IKulerskyConfig> {
  public readonly domain = kulerskyDomain;
  public readonly discoveryDescriptor = createKulerskyDiscoveryDescriptor();
  public readonly configFlow = new KulerskyConfigFlow();

  constructor() {
    super(kulerskyProfile);
  }
}
